/*INDEX FINDER
  By General Barron

      To call: [item, array] call index
      Returns the first index of where the item is in the array. If the item is not in the array, returns -1.

     Example: [5, [1,6,5,10,5] ] call index
     Returns: 2
*/

private ["_array","_item","_index", "_found"];

_item = _this select 0;
_array = _this select 1;
_found = FALSE;
_index = 0;

while { !(_found) AND _index < count _array} do
{
	if (_item == (_array select _index)) then {_found = TRUE} else {_index = _index + 1};
};

if (!(_found)) then {_index = -1};

_index