/*Part of the Multiple 'OnMapSingleClick' Command Handler
    v1.22     By General Barron

Initializes the command handler and all required variables.
*/

//This onmapsingleclick command should never be overwritten!
onmapsingleclick (preprocessfile "click_handler\mapclick.sqf");

//function to add new click actions
GENB_mapclick_add = preprocessfile "click_handler\mapclick_addCode.sqf";

//function to manually remove click actions
GENB_mapclick_remove = {(GENB_mapclicks select _this) set [1, 0]};

//function to get the extra data that will be passed to a mapclick action
GENB_mapclick_getData = {(GENB_mapclicks select _this) select 3;};

//function to set the extra data that will be passed to a mapclick action
GENB_mapclick_setData = {(GENB_mapclicks select (_this select 0)) set [3, (_this select 1)];};

//global array used by the handler
GENB_mapclicks = [];